clang-tools 10.0.0

Namespaces | Functions
GlobalCompilationDatabase.cpp File Reference
`#include "GlobalCompilationDatabase.h"`
`#include "FS.h"`
`#include "Logger.h"`
`#include "Path.h"`
`#include "clang/Frontend/CompilerInvocation.h"`
`#include "clang/Tooling/ArgumentsAdjusters.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/None.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/STLExtras.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/FileUtilities.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Program.h"`
`#include <string>`
`#include <tuple>`
`#include <vector>`
Include dependency graph for GlobalCompilationDatabase.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
static std::string | clang::clangd::maybeCaseFoldPath (PathRef Path)
static bool | clang::clangd::pathEqual (PathRef A, PathRef B)